-- 无代码平台相关表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_CODE_LESS')
 CREATE TABLE T_AQAP_CODE_LESS (
    FID BIGINT DEFAULT 0 NOT NULL,
    FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
    FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
    FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATORID BIGINT DEFAULT 0 NOT NULL,
    FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
    FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FCREATETIME DATETIME,
    FMODIFYTIME DATETIME,
    FMASTERID BIGINT DEFAULT 0 NOT NULL,
    FGROUPID BIGINT DEFAULT 0 NOT NULL,
    FBIZ_TYPE BIGINT DEFAULT 0 NOT NULL,
    FNOTE_INTERFACE BIGINT DEFAULT 0 NOT NULL,
    FCONTENTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FIS_FILEUPLOAD CHAR(1) DEFAULT '0' NOT NULL,
    FFILE_SPLIT VARCHAR(50) DEFAULT ' ' NOT NULL,
    FFILENAME_SPLIT VARCHAR(50) DEFAULT ' ' NOT NULL,
    FFILENAME_SUFFIX VARCHAR(50) DEFAULT ' ' NOT NULL,
    FFILE_BIZTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FFILE_HEAD VARCHAR(255) DEFAULT ' ' NOT NULL,
    FFILE_HEAD_TAG NCLOB NULL DEFAULT NULL,
    FTRANS_CODE VARCHAR(50) DEFAULT ' ' NOT NULL,
    FBIZ_TYPE_NUMBER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AQAP_CODE_LESS_L')
 CREATE TABLE T_AQAP_CODE_LESS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_BANK_APP_LIST')
 CREATE TABLE T_NOTE_BANK_APP_LIST (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_BANK_APP_LIST_L')
 CREATE TABLE T_NOTE_BANK_APP_LIST_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_CODELESS_BODYENTRY')
 CREATE TABLE T_NOTE_CODELESS_BODYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FPARAMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMUST VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXAMPLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FBODYPARAMDES VARCHAR(255) DEFAULT ' ' NOT NULL,
FPARAMDESC VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMNODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBGPARAM VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBGPARAM_SOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJUDGING_CONDITION VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBG_FIELD VARCHAR(200) DEFAULT ' ' NOT NULL,
FEBG_FIELD_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_CODELESS_FILECONT')
 CREATE TABLE T_NOTE_CODELESS_FILECONT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FEBGPARAM_SOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBGPARAM VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXAMPLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FMUST VARCHAR(50) DEFAULT ' ' NOT NULL,
FBODYPARAMDES VARCHAR(255) DEFAULT ' ' NOT NULL,
FJUDGING_CONDITION VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBG_FIELD VARCHAR(200) DEFAULT ' ' NOT NULL,
FEBG_FIELD_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_CODELESS_FILEENTRY')
 CREATE TABLE T_NOTE_CODELESS_FILEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FPARAMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMDES VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBGPARAM_SOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBGPARAM VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXAMPLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FMUST VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAMNODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBODYPARAMDES VARCHAR(255) DEFAULT ' ' NOT NULL,
FJUDGING_CONDITION VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBG_FIELD_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBG_FIELD VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_CODELESS_FILENAME')
 CREATE TABLE T_NOTE_CODELESS_FILENAME (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FEBGPARAM_SOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBGPARAM VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXAMPLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FBODYPARAMDES VARCHAR(255) DEFAULT ' ' NOT NULL,
FJUDGING_CONDITION VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBG_FIELD VARCHAR(200) DEFAULT ' ' NOT NULL,
FEBG_FIELD_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_CODELESS_HEADERENT')
 CREATE TABLE T_NOTE_CODELESS_HEADERENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FHEADERNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADERVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADERDES VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_CODELESS_RSPBODY')
 CREATE TABLE T_NOTE_CODELESS_RSPBODY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FRSP_PARAMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRSP_PARAMDES VARCHAR(50) DEFAULT ' ' NOT NULL,
FRSP_PARAMNODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRSP_EBGPARAM VARCHAR(50) DEFAULT ' ' NOT NULL,
FRSP_CODE_FIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FRSP_BODYPARAMDES VARCHAR(255) DEFAULT ' ' NOT NULL,
FRSP_MATCH VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_EBG_FIELD')
 CREATE TABLE T_NOTE_EBG_FIELD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FTYPE_NAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_EBG_FIELD_L')
 CREATE TABLE T_NOTE_EBG_FIELD_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_EBG_FIELD_TYPE')
 CREATE TABLE T_NOTE_EBG_FIELD_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_EBG_FIELD_TYPE_L')
 CREATE TABLE T_NOTE_EBG_FIELD_TYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_INNER_RSPCODE')
 CREATE TABLE T_NOTE_INNER_RSPCODE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRSP_JUDGING VARCHAR(50) DEFAULT ' ' NOT NULL,
FRSP_RESULT VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_JUDGING_BODY')
 CREATE TABLE T_NOTE_JUDGING_BODY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBGPARAM_SOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBGPARAM VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTER_RIGHT_BRACKET VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTER_LINK VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTER_COMPARE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTER_LEFT_BRACKET VARCHAR(50) DEFAULT ' ' NOT NULL,
FCODE_FIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBG_FIELD_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBG_FIELD VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_JUDGING_CONDITION')
 CREATE TABLE T_NOTE_JUDGING_CONDITION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FJUDGING_CONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FJUDGING_CONDITION_TAG NCLOB NULL DEFAULT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_JUDGING_CONDITION_L')
 CREATE TABLE T_NOTE_JUDGING_CONDITION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_JUDGING_CONDITIONS')
 CREATE TABLE T_NOTE_JUDGING_CONDITIONS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_JUDGING_CONDITIONS_L')
 CREATE TABLE T_NOTE_JUDGING_CONDITIONS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


-- IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_JUDGING_RSP')
--  CREATE TABLE T_NOTE_JUDGING_RSP (
-- FID BIGINT DEFAULT 0 NOT NULL,
-- FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
-- FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
-- FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
-- FCREATORID BIGINT DEFAULT 0 NOT NULL,
-- FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
-- FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
-- FCREATETIME DATETIME,
-- FMODIFYTIME DATETIME,
-- FMASTERID BIGINT DEFAULT 0 NOT NULL
-- );


-- IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_JUDGING_RSP_BODY')
--  CREATE TABLE T_NOTE_JUDGING_RSP_BODY (
-- FID BIGINT DEFAULT 0 NOT NULL,
-- FENTRYID BIGINT DEFAULT 0 NOT NULL,
-- FSEQ INT DEFAULT 0 NOT NULL,
-- FVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
-- FFILTER_LEFT_BRACKET VARCHAR(50) DEFAULT ' ' NOT NULL,
-- FFILTER_RIGHT_BRACKET VARCHAR(50) DEFAULT ' ' NOT NULL,
-- FFILTER_LINK VARCHAR(50) DEFAULT ' ' NOT NULL,
-- FFILTER_COMPARE VARCHAR(50) DEFAULT ' ' NOT NULL,
-- FCODE_FIELD VARCHAR(50) DEFAULT ' ' NOT NULL
-- );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_JUDGINGS')
 CREATE TABLE T_NOTE_JUDGINGS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRSP_JUDGING VARCHAR(50) DEFAULT ' ' NOT NULL,
FJUDGING_CONDITION_DESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FEBGPARAM_SOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBG_FIELD VARCHAR(200) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBG_FIELD_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBGPARAM VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_JUDGINGS_N')
 CREATE TABLE T_NOTE_JUDGINGS_N (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEBGPARAM_SOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBG_FIELD VARCHAR(200) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(50) DEFAULT ' ' NOT NULL,
FJUDGING_CONDITION_DESC VARCHAR(255) DEFAULT ' ' NOT NULL,
FEBG_FIELD_TYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEBGPARAM VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOTE_OUT_RSPCODE')
 CREATE TABLE T_NOTE_OUT_RSPCODE (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRSP_JUDGING VARCHAR(50) DEFAULT ' ' NOT NULL,
FRSP_RESULT VARCHAR(50) DEFAULT ' ' NOT NULL
);




 EXEC P_ALTERPK 'PK_AQAP_CODE_LESS', 'T_AQAP_CODE_LESS', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_CODE_LESS') CREATE  CLUSTERED INDEX IDX_AQAP_CODE_LESS ON T_AQAP_CODE_LESS ( FBIZ_TYPE_NUMBER ,FTRANS_CODE );


 EXEC P_ALTERPK 'PK_AQAP_CODE_LESS_L', 'T_AQAP_CODE_LESS_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AQAP_CODE_LESS_L_0') CREATE  CLUSTERED INDEX IDX_AQAP_CODE_LESS_L_0 ON T_AQAP_CODE_LESS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_NOTE_BANK_APP_LIST', 'T_NOTE_BANK_APP_LIST', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_BANK_APP_LIST') CREATE  CLUSTERED INDEX IDX_NOTE_BANK_APP_LIST ON T_NOTE_BANK_APP_LIST ( FNUMBER );


 EXEC P_ALTERPK 'PK_NOTE_BANK_APP_LIST_L', 'T_NOTE_BANK_APP_LIST_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_BANK_APP_LIST_L_0') CREATE  CLUSTERED INDEX IDX_NOTE_BANK_APP_LIST_L_0 ON T_NOTE_BANK_APP_LIST_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_NOTE_CODELESS_BODYENTRY', 'T_NOTE_CODELESS_BODYENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_CODELESS_BODYENTRY') CREATE  CLUSTERED INDEX IDX_NOTE_CODELESS_BODYENTRY ON T_NOTE_CODELESS_BODYENTRY ( FPARAMNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_CODELESS_BODYENTRY_FK') CREATE INDEX IDX_NOTE_CODELESS_BODYENTRY_FK ON T_NOTE_CODELESS_BODYENTRY ( FID );


 EXEC P_ALTERPK 'PK_NOTE_CODELESS_FILECONT', 'T_NOTE_CODELESS_FILECONT', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_CODELESS_FILECONT_FK') CREATE  CLUSTERED INDEX IDX_NOTE_CODELESS_FILECONT_FK ON T_NOTE_CODELESS_FILECONT ( FID );


 EXEC P_ALTERPK 'PK_NOTE_CODELESS_FILEENTRY', 'T_NOTE_CODELESS_FILEENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_CODELESS_FILEENTRY') CREATE  CLUSTERED INDEX IDX_NOTE_CODELESS_FILEENTRY ON T_NOTE_CODELESS_FILEENTRY ( FPARAMNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_CODELESS_FILEENTRY_FK') CREATE INDEX IDX_NOTE_CODELESS_FILEENTRY_FK ON T_NOTE_CODELESS_FILEENTRY ( FID );


 EXEC P_ALTERPK 'PK_NOTE_CODELESS_FILENAME', 'T_NOTE_CODELESS_FILENAME', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_CODELESS_FILENAME_FK') CREATE  CLUSTERED INDEX IDX_NOTE_CODELESS_FILENAME_FK ON T_NOTE_CODELESS_FILENAME ( FID );


 EXEC P_ALTERPK 'PK_NOTE_CODELESS_HEADERENT', 'T_NOTE_CODELESS_HEADERENT', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_CODELESS_HEADERENT') CREATE  CLUSTERED INDEX IDX_NOTE_CODELESS_HEADERENT ON T_NOTE_CODELESS_HEADERENT ( FHEADERNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_CODELESS_HEADERENT_FK') CREATE INDEX IDX_NOTE_CODELESS_HEADERENT_FK ON T_NOTE_CODELESS_HEADERENT ( FID );


 EXEC P_ALTERPK 'PK_NOTE_CODELESS_RSPBODY', 'T_NOTE_CODELESS_RSPBODY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_CODELESS_RSPBODY') CREATE  CLUSTERED INDEX IDX_NOTE_CODELESS_RSPBODY ON T_NOTE_CODELESS_RSPBODY ( FRSP_PARAMNAME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_CODELESS_RSPBODY_FK') CREATE INDEX IDX_NOTE_CODELESS_RSPBODY_FK ON T_NOTE_CODELESS_RSPBODY ( FID );


 EXEC P_ALTERPK 'PK_NOTE_EBG_FIELD', 'T_NOTE_EBG_FIELD', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_EBG_FIELD') CREATE  CLUSTERED INDEX IDX_NOTE_EBG_FIELD ON T_NOTE_EBG_FIELD ( FNUMBER );


 EXEC P_ALTERPK 'PK_NOTE_EBG_FIELD_L', 'T_NOTE_EBG_FIELD_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_EBG_FIELD_L_0') CREATE  CLUSTERED INDEX IDX_NOTE_EBG_FIELD_L_0 ON T_NOTE_EBG_FIELD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_NOTE_EBG_FIELD_TYPE', 'T_NOTE_EBG_FIELD_TYPE', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_EBG_FIELD_TYPE') CREATE  CLUSTERED INDEX IDX_NOTE_EBG_FIELD_TYPE ON T_NOTE_EBG_FIELD_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_NOTE_EBG_FIELD_TYPE_L', 'T_NOTE_EBG_FIELD_TYPE_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_EBG_FIELD_TYPE_L_0') CREATE  CLUSTERED INDEX IDX_NOTE_EBG_FIELD_TYPE_L_0 ON T_NOTE_EBG_FIELD_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_NOTE_INNER_RSPCODE', 'T_NOTE_INNER_RSPCODE', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_INNER_RSPCODE_FK') CREATE  CLUSTERED INDEX IDX_NOTE_INNER_RSPCODE_FK ON T_NOTE_INNER_RSPCODE ( FID );


 EXEC P_ALTERPK 'PK_NOTE_JUDGING_BODY', 'T_NOTE_JUDGING_BODY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_JUDGING_BODY_FK') CREATE  CLUSTERED INDEX IDX_NOTE_JUDGING_BODY_FK ON T_NOTE_JUDGING_BODY ( FID );


 EXEC P_ALTERPK 'PK_NOTE_JUDGING_CONDITION', 'T_NOTE_JUDGING_CONDITION', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_JUDGING_CONDITION') CREATE  CLUSTERED INDEX IDX_NOTE_JUDGING_CONDITION ON T_NOTE_JUDGING_CONDITION ( FNUMBER );


 EXEC P_ALTERPK 'PK_NOTE_JUDGING_CONDITION_L', 'T_NOTE_JUDGING_CONDITION_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_JUDGING_CONDITION_L_0') CREATE  CLUSTERED INDEX IDX_NOTE_JUDGING_CONDITION_L_0 ON T_NOTE_JUDGING_CONDITION_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_NOTE_JUDGING_CONDITIONS', 'T_NOTE_JUDGING_CONDITIONS', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_JUDGING_CONDITIONS') CREATE  CLUSTERED INDEX IDX_NOTE_JUDGING_CONDITIONS ON T_NOTE_JUDGING_CONDITIONS ( FNUMBER );


 EXEC P_ALTERPK 'PK_NOTE_JUDGING_CONDITIONS_L', 'T_NOTE_JUDGING_CONDITIONS_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_JUDGING_CONDS_L_0') CREATE  CLUSTERED INDEX IDX_NOTE_JUDGING_CONDS_L_0 ON T_NOTE_JUDGING_CONDITIONS_L ( FID ,FLOCALEID );


--  EXEC P_ALTERPK 'PK_NOTE_JUDGING_RSP', 'T_NOTE_JUDGING_RSP', 'FID', '0';

--  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_JUDGING_RSP') CREATE  CLUSTERED INDEX IDX_NOTE_JUDGING_RSP ON T_NOTE_JUDGING_RSP ( FNUMBER );


--  EXEC P_ALTERPK 'PK_NOTE_JUDGING_RSP_BODY', 'T_NOTE_JUDGING_RSP_BODY', 'FENTRYID', '0';

--  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_JUDGING_RSP_BODY_FK') CREATE  CLUSTERED INDEX IDX_NOTE_JUDGING_RSP_BODY_FK ON T_NOTE_JUDGING_RSP_BODY ( FID );


 EXEC P_ALTERPK 'PK_NOTE_JUDGINGS', 'T_NOTE_JUDGINGS', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_JUDGINGS_FK') CREATE  CLUSTERED INDEX IDX_NOTE_JUDGINGS_FK ON T_NOTE_JUDGINGS ( FID );


 EXEC P_ALTERPK 'PK_NOTE_JUDGINGS_N', 'T_NOTE_JUDGINGS_N', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_JUDGINGS_N_FK') CREATE  CLUSTERED INDEX IDX_NOTE_JUDGINGS_N_FK ON T_NOTE_JUDGINGS_N ( FID );


 EXEC P_ALTERPK 'PK_NOTE_OUT_RSPCODE', 'T_NOTE_OUT_RSPCODE', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_NOTE_OUT_RSPCODE_FK') CREATE  CLUSTERED INDEX IDX_NOTE_OUT_RSPCODE_FK ON T_NOTE_OUT_RSPCODE ( FID );





